HazelnuppConstraintMissingValue Class Reference

Gets thrown when a parameter constrained to be required is not provided, and has no default value set. More...

`#include <HazelnuppException.h>`

Inheritance diagram for HazelnuppConstraintMissingValue:
[legend]
Collaboration diagram for HazelnuppConstraintMissingValue:
[legend]

## Public Member Functions

| HazelnuppConstraintMissingValue ()
| HazelnuppConstraintMissingValue (const std::string &msg)
Public Member Functions inherited from HazelnuppConstraintException
| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members

Protected Attributes inherited from HazelnuppException
std::string | message

## Detailed Description

Gets thrown when a parameter constrained to be required is not provided, and has no default value set.

Definition at line 60 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## HazelnuppConstraintMissingValue() [1/2]

HazelnuppConstraintMissingValue::HazelnuppConstraintMissingValue | ( |  | ) |

inline

Definition at line 63 of file HazelnuppException.h.

: HazelnuppConstraintException() {};

## HazelnuppConstraintMissingValue() [2/2]

HazelnuppConstraintMissingValue::HazelnuppConstraintMissingValue | ( | const std::string & | msg | ) |

inline

Definition at line 64 of file HazelnuppException.h.

: HazelnuppConstraintException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

HazelnuppConstraintException::HazelnuppConstraintException
HazelnuppConstraintException()
Definition: HazelnuppException.h:45